ros-jade-rqt-plot (0.4.7-0vivid) vivid; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Thu, 02 Mar 2017 08:00:00 -0000

ros-jade-rqt-plot (0.4.6-0vivid) vivid; urgency=high

  * add support for plotting bool field values (#427 <https://github.com/ros-visualization/rqt_common_plugins/issues/427>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 27 Feb 2017 08:00:00 -0000

ros-jade-rqt-plot (0.4.5-0vivid) vivid; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 03 Feb 2017 08:00:00 -0000

ros-jade-rqt-plot (0.4.4-0vivid) vivid; urgency=high

  * automatically use the value field from std_msgs.Bool messages (#420 <https://github.com/ros-visualization/rqt_common_plugins/pull/420>)
  * use Python 3 compatible syntax (#421 <https://github.com/ros-visualization/rqt_common_plugins/pull/421>)
  * reenable PyQtGraph when version >= 0.10 (#407 <https://github.com/ros-visualization/rqt_common_plugins/issues/407>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 24 Jan 2017 08:00:00 -0000

ros-jade-rqt-plot (0.4.3-0vivid) vivid; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 02 Nov 2016 07:00:00 -0000

ros-jade-rqt-plot (0.4.2-0vivid) vivid; urgency=high

  * add keyword arg to make sort optional (#360 <https://github.com/ros-visualization/rqt_common_plugins/pull/360>)
  * disable PyQtGraph backend when Qt 5 is being used (#399 <https://github.com/ros-visualization/rqt_common_plugins/pull/399>)
  * add missing dependency on numpy (#396 <https://github.com/ros-visualization/rqt_common_plugins/issues/396>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 19 Sep 2016 07:00:00 -0000

ros-jade-rqt-plot (0.4.1-0vivid) vivid; urgency=high

  * fix mouse wheel delta in Qt 5 (#376 <https://github.com/ros-visualization/rqt_common_plugins/issues/376>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 16 May 2016 07:00:00 -0000

ros-jade-rqt-plot (0.4.0-0vivid) vivid; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#359 <https://github.com/ros-visualization/rqt_common_plugins/pull/359>)
  * support matplotplot 1.5 (#358 <https://github.com/ros-visualization/rqt_common_plugins/pull/358>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 27 Apr 2016 07:00:00 -0000

ros-jade-rqt-plot (0.3.13-0vivid) vivid; urgency=high

  * Added missing include
  * use proper icon names for add/remove
  * Contributors: Jochen Sprickerhof, Vincent Rabaud

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 08 Mar 2016 08:00:00 -0000

ros-jade-rqt-plot (0.3.12-0vivid) vivid; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 24 Jul 2015 07:00:00 -0000

ros-jade-rqt-plot (0.3.11-0vivid) vivid; urgency=high

  * save and restore axes settings (#234 <https://github.com/ros-visualization/rqt_common_plugins/issues/234>)
  * remove warning when backend is not found (#301 <https://github.com/ros-visualization/rqt_common_plugins/issues/301>)
  * fix version clash for matplot backend when PyQt5 is installed (#299 <https://github.com/ros-visualization/rqt_common_plugins/pull/200>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Thu, 30 Apr 2015 07:00:00 -0000

ros-jade-rqt-plot (0.3.10-0vivid) vivid; urgency=high

  * update plugin scripts to use full name to avoid future naming collisions

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 01 Oct 2014 07:00:00 -0000

ros-jade-rqt-plot (0.3.9-0vivid) vivid; urgency=high

  * fix handling of variable-sized arrays (#261 <https://github.com/ros-visualization/rqt_common_plugins/issues/261>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 18 Aug 2014 07:00:00 -0000

ros-jade-rqt-plot (0.3.8-0vivid) vivid; urgency=high

  * fix missing installation of Python subpackage

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 15 Jul 2014 07:00:00 -0000

ros-jade-rqt-plot (0.3.7-0vivid) vivid; urgency=high

  * fix missing import (#248 <https://github.com/ros-visualization/rqt_common_plugins/issues/248>)
  * significant improvements and unification of different plot backends (#239 <https://github.com/ros-visualization/rqt_common_plugins/issues/239>, #231 <https://github.com/ros-visualization/rqt_common_plugins/issues/231>)
  * make more things plottable including arrays and simple message types (#246 <https://github.com/ros-visualization/rqt_common_plugins/issues/246>)
  * make DataPlot a proxy for its plot widget, redraw after loading new data, add clear_values (#236 <https://github.com/ros-visualization/rqt_common_plugins/issues/236>)
  * export architecture_independent flag in package.xml (#254 <https://github.com/ros-visualization/rqt_common_plugins/issues/254>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 11 Jul 2014 07:00:00 -0000

ros-jade-rqt-plot (0.3.6-0vivid) vivid; urgency=high

  * subscribe to any known topic, even if currently not available (#233 <https://github.com/ros-visualization/rqt_common_plugins/pull/233>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 02 Jun 2014 07:00:00 -0000

ros-jade-rqt-plot (0.3.5-0vivid) vivid; urgency=high

  * change minimum padding to enable viewing arbitrarily small values (#223 <https://github.com/ros-visualization/rqt_common_plugins/pull/223>)
  * redraw plot only on new data to reduce cpu load, especially with matplot (#219 <https://github.com/ros-visualization/rqt_common_plugins/issues/219>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 07 May 2014 07:00:00 -0000

ros-jade-rqt-plot (0.3.4-0vivid) vivid; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 28 Jan 2014 08:00:00 -0000

ros-jade-rqt-plot (0.3.3-0vivid) vivid; urgency=high

  * add groups for rqt plugins, renamed some plugins (#167 <https://github.com/ros-visualization/rqt_common_plugins/issues/167>)
  * add checkbox to toggle automatic scrolling of plot with data
  * add simple legend for pyqtgraph backend

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 08 Jan 2014 08:00:00 -0000

ros-jade-rqt-plot (0.3.2-0vivid) vivid; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 14 Oct 2013 07:00:00 -0000

ros-jade-rqt-plot (0.3.1-0vivid) vivid; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 09 Oct 2013 07:00:00 -0000

ros-jade-rqt-plot (0.3.0-0vivid) vivid; urgency=high

  * fix waiting on unpublished topics (#110 <https://github.com/ros-visualization/rqt_common_plugins/issues/110>)
  * fix rendering of icons on OS X (ros-visualization/rqt#83 <https://github.com/ros-visualization/rqt/issues/83>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 28 Aug 2013 07:00:00 -0000

ros-jade-rqt-plot (0.2.17-0vivid) vivid; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Thu, 04 Jul 2013 07:00:00 -0000

ros-jade-rqt-plot (0.2.16-0vivid) vivid; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 09 Apr 2013 20:33:00 -0000

ros-jade-rqt-plot (0.2.15-0vivid) vivid; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 09 Apr 2013 07:02:00 -0000

ros-jade-rqt-plot (0.2.14-0vivid) vivid; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Thu, 14 Mar 2013 07:00:00 -0000

ros-jade-rqt-plot (0.2.13-0vivid) vivid; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 12 Mar 2013 05:14:00 -0000

ros-jade-rqt-plot (0.2.12-0vivid) vivid; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 11 Mar 2013 20:56:00 -0000

ros-jade-rqt-plot (0.2.11-0vivid) vivid; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 08 Mar 2013 08:00:00 -0000

ros-jade-rqt-plot (0.2.10-0vivid) vivid; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 22 Jan 2013 08:00:00 -0000

ros-jade-rqt-plot (0.2.9-0vivid) vivid; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Thu, 17 Jan 2013 08:00:00 -0000

ros-jade-rqt-plot (0.2.8-0vivid) vivid; urgency=high

  * command line arguments enabled

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 11 Jan 2013 08:00:00 -0000

ros-jade-rqt-plot (0.2.7-0vivid) vivid; urgency=high

  * update mat plot, remove usage of collections and numpy, calculate y range once when adding data instead of on draw (ros-visualization/rqt#48 <https://github.com/ros-visualization/rqt/issues/48>)
  * automatically adjust margins for matplot on resize

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 24 Dec 2012 08:00:00 -0000

ros-jade-rqt-plot (0.2.6-0vivid) vivid; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Sun, 23 Dec 2012 08:00:00 -0000

ros-jade-rqt-plot (0.2.5-0vivid) vivid; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Sat, 22 Dec 2012 03:11:00 -0000

ros-jade-rqt-plot (0.2.4-0vivid) vivid; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 21 Dec 2012 09:13:00 -0000

ros-jade-rqt-plot (0.2.3-0vivid) vivid; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 21 Dec 2012 08:24:00 -0000

ros-jade-rqt-plot (0.2.2-0vivid) vivid; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 21 Dec 2012 02:29:00 -0000

ros-jade-rqt-plot (0.2.1-0vivid) vivid; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 21 Dec 2012 01:47:00 -0000

ros-jade-rqt-plot (0.2.0-0vivid) vivid; urgency=high

  * first release of this package into groovy

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 21 Dec 2012 01:39:00 -0000


